Bug 1226 - multiple installer bugs and wrong (by idea itself) steps & also other bugs for other packaghes..
: multiple installer bugs and wrong (by idea itself) steps & also other bug...
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-08-26 15:49 by
Modified: 2006-12-23 12:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-08-26 15:49:40
1. второй диск приспособлен ислючительно под
rpm -i/apt-get - нет возможности подцепить инсталяхой.
Некузяво это, господа.

2. автоинсталятор (kick start) ведет себя неадекватно - в момент инсталяции я
специально делал deselect при вопросах что нужно форматировать, а эта тварь
полезла форматировать даже то, что вообще не использовалось при инсталяции (не
монтировалось и не форматировалось). И не надо говорить так и должно быть - так
не должно - написано, что сохраняется последовательность действий при
инсталяции, а на самом деле
не так. =) (Да, я читал надпись при загрузке с kick start drive, и тем не
менее).

3. Из cups изчезла поддержка ibm lexmark 4039 plus. Пришлось ставить предыдущую
версию, зачем спрашивается (в сторону developer\'ов cups).

4. При инсталяции не всегда корректно инициализируются переменные, так что
реально попасть на ситуацию, когда выбрав тип fs и передумавши сменив его
натыкаешься на ляп - после инсталяции нихрена не грузится, поскольку к партиции
одного типа применяются опции монтирования для партиций другого типа.

5. Сделали новый метод аутентификации tcb , однако в nsswitch.conf не написали
что значит, после выноса разуме
ется перестало пускать в систему (могли бы man tcb написать котя-бы), но это
еще ладно. А вот то, что screen s
aver\'ы в KDE теперь после запуска с запросом пароля требуют убиения с -TERM
(при -9 замерзает экран) - неудобно.

6. append убогий перенаправляющий вывод на 10ю консоль бесит - мешает
диагностике ляпов, затрудняет лечение, н
аконец просто достает каждый раз удалять этот бред (в том числе при инсталяции
smp ядра).

7.при выборе печати при помощи тулзы gimp\'а совершенно убогие default values,
- картинка получается отстойне
йшая (в сравнении с postscript на том же ps принтере ).
Неадекватный выбор пакетов в инсталяторе - в виде дерева их меньше чем в
\"одномерном\" виде. (Тянется еще с Junior 1)


8. Мозила украйна конфликтует с моизиллой русской настолько,что при загруженных
настройках на русскую локаль
стартует украинская мозила, причем даже после переименования
/usr/share/locale/uk* в *.original . =) Пришлось
вынести соответствующий rpm. =) BTW - это вообще некорректно, когда в
нестандартном месте лежит локализация
пакета - я, например, там где локализованные меню достают удаляю файлы
локализации соответствующего пакета..

9. append убогий перенаправляющий вывод на 10ю консоль бесит - мешает
диагностике ляпов, затрудняет лечение, н
аконец просто достает каждый раз удалять этот бред (в том числе при инсталяции
smp ядра).

10. aptitude/apt-get после установки кучи пакетов корежат базу rpm - приходится
делать --rebuild, причем лучще это сделать немедленно. =)

Система bug-report\'ов в которой я сецчас этот текст набираю довольно неудобна
- мне совсем не нравится на тонком канале по минуте ждать reload формы, так что
извините, что все в одном месте..








---
try to create FS w/ raiser, change type to ext3 & look for results or so.
I\'ve got raiser flag for ext3.

---
В целом дистрибутив приятный, но ляпы хорошо бы поправить. =)
------- Comment #1 From 2002-09-02 12:17:01 -------
1.Пожайлуста добавьте ошибки на соответствующе пакеты, или перевеьте эту багу
на пакет altlinux-release. А то Ваш труд может оказаться напрасным - я случайно
заметил Ваше письмо.

2. Рац. предложение - мне кажется большинство ошибок из-за того что что-то было
сделано неправильно. Наверное есть смысл спросить некоторые вопросы в <a
href="mailto:community@altlinux.ru" target="_new">community@altlinux.ru</a> и
ошибки исчезнут сами собой

Теперь по ошибкам:
1. Второй диск предназначен для установки,скорее всего он с дефектом -
обратитесь в <a href="mailto:support@altlinux.ru"
target="_new">support@altlinux.ru</a> за заменой
3. Это скорее к девелоперам foomatic. Также посмотрите на linuxprinting.org -
скорее всего никуда откатываться не придется
6,8 непонятно о чем идет речь
------- Comment #2 From 2002-09-02 12:17:01 -------
1.Пожайлуста добавьте ошибки на соответствующе пакеты, или перевеьте эту багу
на пакет altlinux-release. А то Ваш труд может оказаться напрасным - я случайно
заметил Ваше письмо.

2. Рац. предложение - мне кажется большинство ошибок из-за того что что-то было
сделано неправильно. Наверное есть смысл спросить некоторые вопросы в <a
href="mailto:community@altlinux.ru" target="_new">community@altlinux.ru</a> и
ошибки исчезнут сами собой

Теперь по ошибкам:
1. Второй диск предназначен для установки,скорее всего он с дефектом -
обратитесь в <a href="mailto:support@altlinux.ru"
target="_new">support@altlinux.ru</a> за заменой
3. Это скорее к девелоперам foomatic. Также посмотрите на linuxprinting.org -
скорее всего никуда откатываться не придется
6,8 непонятно о чем идет речь
------- Comment #3 From 2006-12-23 12:23:05 -------
tech reopen
------- Comment #4 From 2006-12-23 12:25:18 -------
Часть пунктов уже FIXED, часть -- INVALID, остаток -- WONTFIX.  Сообразуясь
скорее с языком багрепорта, чем с пропорциями, ставлю второе. =)

2 olli: вообще тут дело к 3.1 потянуло, не хотите заглянуть на огонёк, как
альфа-бета-тестирование пойдёт?  Да теперь и поучаствовать можно, см.
http://wiki.sisyphus.ru/Alterator :)